#!/usr/bin/python
# -*- coding: utf-8 -*-

import osgeo.ogr as ogr
import osgeo.osr as osr
import sys

def wktToShape(wkt, shapefileName):
	'''!
	'''
	# set up the shapefile driver
	driver = ogr.GetDriverByName("ESRI Shapefile")

	# create the data source
	data_source = driver.CreateDataSource(shapefileName)

	# create the spatial reference, WGS84
	srs = osr.SpatialReference()
	srs.ImportFromEPSG(4326)
	layer = data_source.CreateLayer("layer", srs, ogr.wkbPolygon)

	# Create the point from the Well Known Text
	geometry = ogr.CreateGeometryFromWkt(wkt)

	# create the feature
	feature = ogr.Feature(layer.GetLayerDefn())
	# Set the feature geometry using the point
	feature.SetGeometry(geometry)
	# Create the feature in the layer (shapefile)
	layer.CreateFeature(feature)
	# Dereference the feature
	feature = None
	data_source = None

def main(argv):
#	print (argv[1])
	wktToShape(argv[1], argv[2])

if __name__ == "__main__":
	main(sys.argv)
